import numpy as np
import matplotlib.pyplot as plt

vx = np.linspace( -5, 5, 50 )
vy = np.log( 1/(1+np.exp(-vx)) )

def s(x) :
	return 1/(1+np.exp(-x))

dvy = (1/s(vx))*s(vx)*(1-s(vx))

fig, ax = plt.subplots( )

ax.plot( vx, vy, label="ln L" )
ax.plot( vx, dvy, label="d ln L" )
ax.legend( )
ax.grid( )

plt.show( )
